IIS 7.5 error: Handler “PageHandlerFactory-Integrated” has a bad module “ManagedPipelineHandler” in its module list

http://wishmesh.com/2010/08/iis-7-5-error-handler-pagehandlerfactory-integrated-has-a-bad-module-managedpipelinehandler-in-its-module-list/

 

Running the following commands solved this issue:

%windir%\Microsoft.NET\Framework\v4.0.30319\aspnet_regiis.exe -i %windir%\Microsoft.NET\Framework64\v4.0.30319\aspnet_regiis.exe -i

Advertisements

NuGet

NuGet is a Visual Studio extension that makes it easy to install and update third-party libraries and tools in Visual Studio.

http://nuget.org/

What is required to run NuGet?

NuGet requires Visual Studio 2010 or Visual Web Developer Express 2010. The NuGet Package Manager Console requires that PowerShell 2.0 be installed. Powershell 2.0 is already installed if you have the following operating system:

Windows 7
Windows Server 2008 R2
If you have the following operating systems, you must manually install Powershell 2.0.

Windows XP SP3
Windows Server 2003 SP2
Windows Vista SP1
Windows Server 2008

How do I check the exact version of NuGet installed?
In Visual Studio go to the Help > About Microsoft Visual Studio menu and look for NuGet Package Manager. The version is displayed next to that entry.

NuGet Version in the Visual Studio Extension Manager